dpkg-realpath(1)

NOME
dpkg-realpath - escreve o nome de caminho resolvido com suporte de DPKG_ROOT

RESUMO
dpkg-realpath [option...] pathname

DESCRIÇÃO
dpkg-realpath é uma ferramenta (desde dpkg 1.20.1) para resolver um nome de caminho, que toma o directório raiz do dpkg(1) em conta, seja implicitamente a partir da variável de ambiente DPKG_ROOT ou a partir das opções --root ou --instdir da linha de comandos, e retorna um pathname absoluto relativo ao directório raiz. O directório raiz não pode ser prefixado ao pathname para ser resolvido.

Isto destina-se a ser usado por outros ajudantes do dpkg, ou por scripts de maintainer em vez de se usar realpath(1) ou readlink(1) para canonizar nomes de caminhos, pois estes últimos comandos não suportam canonização relativa a uma raiz diferente de /.

Este programa foi introduzido no dpkg 1.20.1.

OPÇÕES

-z, --zero
    Usa um byte NUL para terminar as linhas de resultados em vez do caractere de nova linha (desde dpkg 1.20.6).

--instdir directory
--root directory
    Define o directório raiz para directory, o qual é o directório base com que os nomes de caminho são canonizados. A predefinição é «/» se DPKG_ROOT não estiver definido.

-?, --help
    Mostra a mensagem de utilização e termina.

--version
    Mostra a versão e termina.

AMBIENTE

DPKG_ROOT
    Se definido e as opções --instdir ou --root não foram especificadas, será usado como o directório raiz do sistema de ficheiros.

DPKG_COLORS
    Define o modo de cor. Os valores actualmente aceites são: auto (predefinido), always e never.

DPKG_NLS
    Se definida, será usada para decidir se deve activar o Suporte a Linguagem Nativa. Também como conhecido como suporte de internacionalização (ou i18n) (desde dpkg 1.22.7). Os valores aceites são 0 e 1 (predefinição).

VEJA TAMBÉM
realpath(1), readlink(1).

TRADUÇÃO
Américo Monteiro

Se encontrar algum erro na tradução deste documento, por favor comunique para Américo Monteiro <a_monteiro@gmx.com>.